Subject: bug#17895: 24.3.91; electric-indent-mode not quite right with comments in fortran-mode

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Jul 2014 22:00:50 -0400

> For me, in fortran-mode the electric-indent-mode moves point
> too fast too far ahead.  I find this beavior distracting in
> fortran-mode.  (Yes, the fortran codes I work with do have a good
> percentage of comment lines plus some continuation lines.)  That's
> why I suggested that electric-indent-chars should be locally bound
> to nil in fortran-mode.

You can also (electric-indent-local-mode -1) from the fortran-mode-hook.

        Stefan